"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultLayout = void 0;
const typedoc_1 = require("typedoc");
const analytics_1 = require("../partials/analytics");
const footer_1 = require("../partials//footer");
const header_1 = require("../partials/header");
const navigation_1 = require("../partials/navigation");
const lib_1 = require("../utils/lib");
const defaultLayout = (context, props) => {
    var _a;
    const searchPath = context.relativeURL("assets/js/search.json");
    const gaID = (0, lib_1.getConfigData)(context, 'gaID');
    return (typedoc_1.JSX.createElement("html", { class: "default no-js", lang: "en" },
        typedoc_1.JSX.createElement("head", null,
            typedoc_1.JSX.createElement("meta", { charSet: "utf-8" }),
            context.hook("head.begin"),
            typedoc_1.JSX.createElement("meta", { "http-equiv": "x-ua-compatible", content: "IE=edge" }),
            typedoc_1.JSX.createElement("title", null, props.model.name === props.project.name ?
                props.project.name :
                `${props.model.name} | ${props.project.name}`),
            typedoc_1.JSX.createElement("meta", { name: "description" }),
            typedoc_1.JSX.createElement("meta", { name: "viewport", content: "width=device-width, initial-scale=1" }),
            typedoc_1.JSX.createElement("link", { rel: "stylesheet", href: "https://infragistics.com/assets/modern/css/layout.css" }),
            typedoc_1.JSX.createElement("link", { rel: "stylesheet", href: "https://infragistics.com/assets/modern/css/animate-custom.css" }),
            typedoc_1.JSX.createElement("link", { rel: "stylesheet", href: "https://infragistics.com/assets/modern/css/fontello.css" }),
            typedoc_1.JSX.createElement("link", { rel: "stylesheet", href: "https://infragistics.com/css/navigation.css" }),
            typedoc_1.JSX.createElement("link", { rel: "stylesheet", href: "https://infragistics.com/css/footer.css" }),
            typedoc_1.JSX.createElement("link", { href: "https://fonts.googleapis.com/icon?family=Material+Icons", rel: "stylesheet" }),
            typedoc_1.JSX.createElement("link", { rel: "stylesheet", href: "https://use.typekit.net/zhy2hpz.css" }),
            typedoc_1.JSX.createElement("script", { async: true, src: context.relativeURL("assets/search.js"), id: "search-script" }),
            (0, analytics_1.analytics)(context),
            context.hook("head.end")),
        typedoc_1.JSX.createElement("body", { id: "body" },
            context.hook('body.begin'),
            typedoc_1.JSX.createElement("noscript", null,
                typedoc_1.JSX.createElement("iframe", { src: `https://www.googletagmanager.com/ns.html?id=${gaID}`, height: 0, width: 0, style: "display:none;visibility:hidden" })),
            (0, header_1.header)(context, props),
            typedoc_1.JSX.createElement("div", { class: "container container-main" },
                typedoc_1.JSX.createElement("div", { class: "row" },
                    typedoc_1.JSX.createElement("div", { class: "col-2 col-menu menu-sticky-wrap menu-highlight" },
                        typedoc_1.JSX.createElement("div", { class: "table-cell", id: "tsd-search", "data-index": searchPath, "data-base": context.relativeURL("./") },
                            typedoc_1.JSX.createElement("div", { class: "field" },
                                typedoc_1.JSX.createElement("label", { for: "tsd-search-field", class: "material-icons" }, "search"),
                                typedoc_1.JSX.createElement("input", { id: "tsd-search-field", type: "text", placeholder: "Search API" })),
                            typedoc_1.JSX.createElement("ul", { class: "results" },
                                typedoc_1.JSX.createElement("li", { class: "state loading" }, "Preparing search index..."),
                                typedoc_1.JSX.createElement("li", { class: "state failure" }, "The search index is not available"))),
                        typedoc_1.JSX.createElement("div", { id: "tsd-filter" },
                            typedoc_1.JSX.createElement("div", { class: "tsd-filter-group" },
                                typedoc_1.JSX.createElement("div", { class: "tsd-select", id: "tsd-filter-visibility" },
                                    typedoc_1.JSX.createElement("span", { class: "tsd-select-label" }, "All"),
                                    typedoc_1.JSX.createElement("ul", { class: "tsd-select-list" },
                                        typedoc_1.JSX.createElement("li", { "data-value": "public" }, "Public"),
                                        typedoc_1.JSX.createElement("li", { "data-value": "protected" }, "Public/Protected"),
                                        typedoc_1.JSX.createElement("li", { "data-value": "private", class: "selected" }, "All"))),
                                typedoc_1.JSX.createElement("input", { type: "checkbox", id: "tsd-filter-inherited", checked: true }),
                                typedoc_1.JSX.createElement("label", { class: "tsd-widget", for: "tsd-filter-inherited" }, "Inherited"),
                                !context.options.getValue("excludeExternals") && (typedoc_1.JSX.createElement(typedoc_1.JSX.Fragment, null,
                                    typedoc_1.JSX.createElement("input", { type: "checkbox", id: "tsd-filter-externals", checked: true }),
                                    typedoc_1.JSX.createElement("label", { class: "tsd-widget", for: "tsd-filter-externals" }, "Externals"))),
                                !context.options.getValue("excludeExternals") && (typedoc_1.JSX.createElement(typedoc_1.JSX.Fragment, null,
                                    typedoc_1.JSX.createElement("input", { type: "checkbox", id: "tsd-filter-externals" }),
                                    typedoc_1.JSX.createElement("label", { class: "tsd-widget", for: "tsd-filter-only-exported" }, "Only exported"))))),
                        (0, navigation_1.navigation)(context, props)),
                    typedoc_1.JSX.createElement("div", { class: "col-10 col-content" },
                        typedoc_1.JSX.createElement("div", { class: "tsd-page-title" },
                            typedoc_1.JSX.createElement("div", { class: "container" },
                                !!props.model.parent && typedoc_1.JSX.createElement("ul", { class: "tsd-breadcrumb" }, context.breadcrumb(props.model)),
                                typedoc_1.JSX.createElement("h1", null,
                                    props.model.kindString !== "Project" && `${(_a = props.model.kindString) !== null && _a !== void 0 ? _a : ""} `,
                                    props.model.name,
                                    (0, lib_1.hasTypeParameters)(props.model) && (typedoc_1.JSX.createElement(typedoc_1.JSX.Fragment, null,
                                        "<",
                                        (0, lib_1.join)(", ", props.model.typeParameters, (item) => item.name),
                                        ">"))))),
                        props.template(props)))),
            (0, footer_1.footer)(context, props),
            typedoc_1.JSX.createElement("div", { class: "overlay" }),
            typedoc_1.JSX.createElement("script", { type: "text/javascript", src: "https://cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js" }),
            typedoc_1.JSX.createElement("script", { type: "text/javascript", src: "https://code.jquery.com/jquery-2.1.4.min.js", integrity: "sha256-8WqyJLuWKRBVhxXIL1jBDD7SDxU936oZkCnxQbWwJVw=", crossOrigin: "anonymous" }),
            typedoc_1.JSX.createElement("script", { type: "text/javascript", src: "https://infragistics.com/assets/modern/scripts/jquery-migrate.min.js" }),
            typedoc_1.JSX.createElement("script", { type: "text/javascript", src: "https://www.infragistics.com/assets/modern/scripts/plugins.nav.js" }),
            typedoc_1.JSX.createElement("script", { type: "text/javascript", src: "https://www.infragistics.com/assets/modern/scripts/navigation.js" }),
            typedoc_1.JSX.createElement("script", { src: "https://unpkg.com/lunr/lunr.js" }),
            context.hook("body.end"))));
};
exports.defaultLayout = defaultLayout;
