"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.analytics = void 0;
const typedoc_1 = require("typedoc");
const lib_1 = require("../utils/lib");
function analytics(context) {
    const gaID = (0, lib_1.getConfigData)(context, "gaID");
    const gaSite = (0, lib_1.getConfigData)(context, "gaSite");
    if (!gaID)
        return;
    const script = `
(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
    (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
})(window,document,'script','//www.google-analytics.com/analytics.js','ga');
ga('create', '${gaID}', '${gaSite}');
ga('send', 'pageview');
`.trim();
    return (typedoc_1.JSX.createElement("script", null,
        typedoc_1.JSX.createElement(typedoc_1.JSX.Raw, { html: script })));
}
exports.analytics = analytics;
